type CiProviderCommon<T extends CiProviderName> = {
    name: T;
};
type CiProvider<T extends CiProviderName = CiProviderName> = CiProviderCommon<T> & ({
    isSupported: false;
} | {
    isSupported: true;
    diffBranch: string | undefined;
});
declare const PROVIDERS: {
    readonly AppVeyor: {
        readonly name: "AppVeyor";
        readonly isSupported: true;
        readonly diffBranch: "APPVEYOR_REPO_BRANCH" | undefined;
    };
    readonly AzurePipelines: {
        readonly name: "AzurePipelines";
        readonly isSupported: true;
        readonly diffBranch: "SYSTEM_PULLREQUEST_TARGETBRANCH";
    };
    readonly Bamboo: {
        readonly name: "Bamboo";
        readonly isSupported: true;
        readonly diffBranch: "bamboo_repository_pr_targetBranch";
    };
    readonly BitbucketPipelines: {
        readonly name: "BitbucketPipelines";
        readonly isSupported: true;
        readonly diffBranch: "BITBUCKET_PR_DESTINATION_BRANCH";
    };
    readonly Buddy: {
        readonly name: "Buddy";
        readonly isSupported: true;
        readonly diffBranch: "BUDDY_EXECUTION_PULL_REQUEST_BASE_BRANCH";
    };
    readonly Drone: {
        readonly name: "Drone";
        readonly isSupported: true;
        readonly diffBranch: "DRONE_TARGET_BRANCH";
    };
    readonly GitHubActions: {
        readonly name: "GitHubActions";
        readonly isSupported: true;
        readonly diffBranch: "GITHUB_BASE_REF";
    };
    readonly GitLab: {
        readonly name: "GitLab";
        readonly isSupported: true;
        readonly diffBranch: "CI_EXTERNAL_PULL_REQUEST_TARGET_BRANCH_NAME" | "CI_MERGE_REQUEST_TARGET_BRANCH_NAME";
    };
    readonly Travis: {
        readonly name: "Travis";
        readonly isSupported: true;
        readonly diffBranch: "TRAVIS_BRANCH" | undefined;
    };
    readonly AwsCodeBuild: {
        readonly name: "AwsCodeBuild";
        readonly isSupported: false;
    };
    readonly Circle: {
        readonly name: "Circle";
        readonly isSupported: false;
    };
    readonly Codeship: {
        readonly name: "Codeship";
        readonly isSupported: false;
    };
    readonly Continuousphp: {
        readonly name: "Continuousphp";
        readonly isSupported: false;
    };
    readonly Jenkins: {
        readonly name: "Jenkins";
        readonly isSupported: false;
    };
    readonly SourceHut: {
        readonly name: "SourceHut";
        readonly isSupported: false;
    };
    readonly TeamCity: {
        readonly name: "TeamCity";
        readonly isSupported: false;
    };
    readonly Wercker: {
        readonly name: "Wercker";
        readonly isSupported: false;
    };
};
type CiProviderName = keyof typeof PROVIDERS;
declare const guessBranch: () => string | undefined;
export type { CiProvider, CiProviderName };
export { guessBranch, PROVIDERS };
